using System;
using System.IO;
using System.Net;
using Avalonia.Data.Core;

namespace Cryptura;

public class Password
{
    public string Name { get; set; }
    public string Value { get; set; }
    public string CensoredValue { get; set; } = "******";
    public WXFile WxFile { get; set; }

    public string DisplayValue
    {
        get => MainWindow.censorPasswords ? Value : CensoredValue;
    }

    public Password(string name, string value)
    {
        this.Name = name;
        this.Value = value;
        this.WxFile = new WXFile(Path.Combine(Globals.GetKeyDirectory(), Globals.GenerateUuidFilename()));
        this.WxFile.WriteHeader();
        this.WxFile.SetName(this.Name);
        this.WxFile.SetValue(this.Value);
    }

    public Password(string filepath)
    {
        
    }
    
    
}